PHP7

12.07.2017 10:37 #1
Andi
Aus Lutherstadt Eisleben
73 Beiträge

PHP7

Hallo Herr Schmidt,

ist der simple_products_shop schon PHP7 fähig?

Ich frage weil nach und nach meine Hoster den Support bald dafür einstellen.

12.07.2017 12:02 #2
Christian Schmidt
Fast & Media Team
Aus Blankenburg (Harz)
361 Beiträge

Hallo Herr Kroll,

im Prinzip schon. Das wurde ja hier schon thematisiert:

https://www.fast-end-media.de/produkte/support/details/php-7kompatibilitaet/

Und wir hatten zu dem Thema auch schon per E-Mail Kontakt soweit ich mich erinnere.

Testen Sie es aber sicherheitshalber erst mal auf einer Entwicklungsumgebung.

24.07.2017 06:26 #3
Andi
Aus Lutherstadt Eisleben
73 Beiträge

Hallo Herr Schmidt,

ja, stimmt das Ticket habe ich übersehen. Wie sieht es mit den simple_products_extended und simple_products_shop aus? Sind die ebenfalls schon php7 fähig?

07.08.2017 09:57 #4
Christian Schmidt
Fast & Media Team
Aus Blankenburg (Harz)
361 Beiträge

Hallo Herr Kroll,

ich hatte Ihnen ja vor der Bestellung zugesagt, dass die Kompatibilität für Sie eingeführt wird :) Und ja, beides ist seit März PHP7 fähig. Allerdings sind nicht alle Eventualitäten durchgetestet. Also daher bitte ich Sie es zunächst auf der Testumgebung zu testen.

Auf jeden Fall ist es ein bekanntes "Problem", dass man die externe Zusatzerweiterung "tags" deaktivieren muss, da der Entwickler diese Erweiterung noch nicht PHP7 fähig programmiert hat (dann funktioniert das Modul "Ähnliche Produkte" leider nur noch mit Kategorien und Archiven).

25.09.2017 09:40 #5
Andi
Aus Lutherstadt Eisleben
73 Beiträge

Hallo Herr Schmidt,

laut den Entwicklern der Erweiterung "Tags" ist diese schon php7 fähig.

https://github.com/hschottm/tags/releases/tag/3.5

Meine Version von tags ist in der Paketverwaltung 3.5.2.9004.

Selbst mit dieser Version erhalte ich eine Contao String Warnung.

Können Sie hier bitte nocheinmal nachsehen?

Antworten

Datenschutz*
Bitte rechnen Sie 1 plus 3.